maxit_=100;

ii = 1;
for tetaw = [0.75]

var w r c N pi a mc paiw y g X int;
parameters beta epselon sigma newphi rotp rotw subp subw ass govss rhoa rhog ALFAI ALFAPAI ALFAY alpha tetaw0 intssv;
varexo ua ug;

alpha=0.0;
beta=0.99;
epselon=4;             % epselon is use for both firms and households
sigma=2;                % EHL uses sigma=1.5
newphi=1;               % EHL use sigma=newphi, but this doesn't work well with gov


tetap=0.75;
tetaw0=tetaw;
%rotp=(epselon-1)*tetap/((1-tetap)*(1-beta*tetap));
rotp=(epselon)*tetap/((1-tetap)*(1-beta*tetap));
%rotw=(epselon-1)*tetaw/((1-tetaw)*(1-beta*tetaw));
%rotw=(epselon-1)*beta*(tetaw0*(1+newphi*epselon))/((1-tetaw0)*(1-beta*tetaw0));
%rotw=(epselon-1)*(tetaw0*(1+newphi*epselon))/((1-tetaw0)*(1-beta*tetaw0));
rotw=(epselon)*(tetaw0*(1+newphi*epselon))/((1-tetaw0)*(1-beta*tetaw0));

subp=1/epselon;
subw=1/epselon;
%subp=0;
%subw=0;

govshare= 0.25;
ass     = 1;
rhoa=0.95;
rhog=0.9;

% TAYLOR RULE CALIBRATION
ALFAI=0;                        % degree of interest rate inertia in Taylor rule
ALFAPAI=1.5;                  % coefficient on inflation gap
ALFAY=0.5;                    % cefficient on output gap


%%%%%%%%%%
%%% steady states

Nss     = (1 / (1-govshare)^(sigma))^(1/(newphi+sigma));
Css     = (1-govshare)*Nss;
govss   = govshare*Nss;
Yss     = Nss;
wss     = 1;
MCss    = wss;
rss=1/beta-1;
intssv=1/beta;


model;
(1-epselon)*w+epselon*c^(sigma)*N^newphi-rotw*(paiw-1)*paiw+beta*c(+1)^(-sigma)/c^(-sigma)*rotw*(paiw(+1)-1)*paiw(+1)*N(+1)/N;
paiw*(pi)=w/w(-1);
c(+1)^sigma=beta*(1+r)*c^sigma;
a*N=y^(1/(1-alpha));
(1-epselon)*c^(-sigma)+epselon*c^(-sigma)*mc-c^(-sigma)*rotp*(pi-1)*pi+c(+1)^(-sigma)*rotp*beta*(pi(+1)-1)*(y(+1)/y)*pi(+1)=0;
mc=w/a;
c=y-rotp/2*(pi-1)^2-rotw/2*(paiw-1)^2-g;
a=ass^(1-rhoa)*a(-1)^rhoa*exp(ua);
g=govss^(1-rhog)*g(-1)^rhog*exp(ug);
X=pi^4-1;
int/intssv=pi^ALFAPAI;
int=(1+r)*pi(+1);
end;

initval;
y=Yss;
mc=MCss;
a=ass;
pi=1;
paiw=1;
r=rss;
c=Css;
w=wss;
N=Nss;
g=govss;
X=0;
end;


shocks;
var ua; stderr 0.008;
//var ug; stderr 0.0074;
end;

steady;
check;

stoch_simul(irf=0,order=1,hp_filter=1600);


AnnInf_simul(:,ii)=oo_.var(11,11);
rotw_simul(:,ii)=rotw;
rotp_simul(:,ii)=rotp;

ii = ii +1;

end

w_simul(:,ii)=sqrt((oo_.var(1,1)))/oo_.mean(1);
y_simul(:,ii)=sqrt((oo_.var(9,9)))/oo_.mean(9);

wy=w_simul/y_simul

Output_ac=oo_.autocorr{1,1}(9,9)
AnnInf_ac=oo_.autocorr{1,1}(11,11)

