maxit_=100;

ii = 1;
for tetaw = [0.5 0.666 0.75 0.8 0.833]

var w r c N pi a mc paiw y g X;
parameters beta epselon sigma newphi rotp rotw subp subw ass govss rhoa rhog ALFAI ALFAPAI ALFAY alpha tetaw0;
varexo ua ug;

alpha=0.0;
beta=0.99;
epselon=10;             % epselon is use for both firms and households
sigma=2;                % EHL uses sigma=1.5
newphi=1;               % EHL use sigma=newphi, but this doesn't work well with gov


tetap=0.75;
tetaw0=tetaw;
rotp=(epselon)*tetap/((1-tetap)*(1-beta*tetap));
rotw=(epselon)*(tetaw0*(1+newphi*epselon))/((1-tetaw0)*(1-beta*tetaw0));

subp=1/epselon;
subw=1/epselon;
%subp=0;
%subw=0;

govshare= 0.25;
ass     = 1;
rhoa=0.95;
rhog=0.9;


%%%%%%%%%%
%%% steady states

Nss     = (1 / (1-govshare)^(sigma))^(1/(newphi+sigma));
Css     = (1-govshare)*Nss;
govss   = govshare*Nss;
Yss     = Nss;
wss     = 1;
MCss    = wss;
rss=1/beta-1;


model;
(1-epselon)*w+epselon*c^(sigma)*N^newphi-rotw*(paiw-1)*paiw+beta*c(+1)^(-sigma)/c^(-sigma)*rotw*(paiw(+1)-1)*paiw(+1)*N(+1)/N;
paiw*(pi)=w/w(-1);
c(+1)^sigma=beta*(1+r)*c^sigma;
a*N=y^(1/(1-alpha));
(1-epselon)*c^(-sigma)+epselon*c^(-sigma)*mc-c^(-sigma)*rotp*(pi-1)*pi+c(+1)^(-sigma)*rotp*beta*(pi(+1)-1)*(y(+1)/y)*pi(+1)=0;
mc=w/a;
c=y-rotp/2*(pi-1)^2-rotw/2*(paiw-1)^2-g;
a=ass^(1-rhoa)*a(-1)^rhoa*exp(ua);
g=govss^(1-rhog)*g(-1)^rhog*exp(ug);
X=pi^4-1;
end;

initval;
y=Yss;
mc=MCss;
a=ass;
pi=1;
paiw=1;
r=rss;
c=Css;
w=wss;
N=Nss;
g=govss;
X=0;
end;

shocks;
var ua; stderr 0.008;
var ug; stderr 0.0074;
end;

planner_objective (c^(1-sigma))/(1-sigma)-N^(1+newphi)/(1+newphi);

ramsey_policy(planner_discount=0.99,irf=0,hp_filter=1600);

AnnInf_simul(:,ii)=oo_.var(11,11);
rotw_simul(:,ii)=rotw;
rotp_simul(:,ii)=rotp;

ii = ii +1;

end

AnnInf_simulSQRT=sqrt(AnnInf_simul)*100
axes=[0.3 0.4 0.5 0.6 0.7 0.8]
